Répertorie les flottes dans l’abonnement et le groupe de ressources spécifiés.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
Paramètres URI
| Nom |
Dans |
Obligatoire |
Type |
Description |
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nom du groupe de ressources. Le nom ne respecte pas la casse.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
ID de l’abonnement cible. La valeur doit être un UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Version de l’API à utiliser pour cette opération.
|
Réponses
| Nom |
Type |
Description |
|
200 OK
|
FleetListResult
|
L’opération Azure s’est terminée avec succès.
|
|
Other Status Codes
|
ErrorResponse
|
Réponse d’erreur inattendue.
|
Sécurité
azure_auth
Flux OAuth2 Azure Active Directory.
Type:
oauth2
Flux:
implicit
URL d’autorisation:
https://login.microsoftonline.com/common/oauth2/authorize
Étendues
| Nom |
Description |
|
user_impersonation
|
emprunter l’identité de votre compte d’utilisateur
|
Exemples
Lists the Fleet resources in a resource group.
Exemple de requête
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
/**
* Samples for Fleets ListByResourceGroup.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup.json
*/
/**
* Sample code: Lists the Fleet resources in a resource group.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listsTheFleetResourcesInAResourceGroup(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.fleets().listByResourceGroup("rg1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python fleets_list_by_resource_group.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.fleets.list_by_resource_group(
resource_group_name="rg1",
)
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Fleets_ListByResourceGroup.json
func ExampleFleetsClient_NewListByResourceGroupPager_listsTheFleetResourcesInAResourceGroup() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewFleetsClient().NewListByResourceGroupPager("rg1", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.FleetsClientListByResourceGroupResponse{
// FleetListResult: armcontainerservicefleet.FleetListResult{
// Value: []*armcontainerservicefleet.Fleet{
// {
// ID: to.Ptr("/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet-1"),
// Name: to.Ptr("fleet1"),
// Type: to.Ptr("Microsoft.ContainerService/fleets"),
// SystemData: &armcontainerservicefleet.SystemData{
// CreatedBy: to.Ptr("someUser"),
// CreatedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// LastModifiedBy: to.Ptr("someOtherUser"),
// LastModifiedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// },
// Tags: map[string]*string{
// "tier": to.Ptr("production"),
// "archv2": to.Ptr(""),
// },
// Location: to.Ptr("East US"),
// ETag: to.Ptr("23ujdflewrj3="),
// Properties: &armcontainerservicefleet.FleetProperties{
// HubProfile: &armcontainerservicefleet.FleetHubProfile{
// DNSPrefix: to.Ptr("dnsprefix1"),
// Fqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// PortalFqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// KubernetesVersion: to.Ptr("1.22.4"),
// AgentProfile: &armcontainerservicefleet.AgentProfile{
// VMSize: to.Ptr("Standard_DS1"),
// },
// },
// ProvisioningState: to.Ptr(armcontainerservicefleet.FleetProvisioningStateSucceeded),
// Status: &armcontainerservicefleet.FleetStatus{
// LastOperationID: to.Ptr("operation-12345"),
// LastOperationError: &armcontainerservicefleet.ErrorDetail{
// Code: to.Ptr("None"),
// Message: to.Ptr("No error"),
// },
// },
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to lists fleets in the specified subscription and resource group.
*
* @summary lists fleets in the specified subscription and resource group.
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup.json
*/
async function listsTheFleetResourcesInAResourceGroup() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.fleets.listByResourceGroup("rg1")) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.ContainerServiceFleet.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.ContainerServiceFleet;
// Generated from example definition: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup.json
// this example is just showing the usage of "Fleets_ListByResourceGroup" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rg1";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this ContainerServiceFleetResource
ContainerServiceFleetCollection collection = resourceGroupResource.GetContainerServiceFleets();
// invoke the operation and iterate over the result
await foreach (ContainerServiceFleetResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ContainerServiceFleetData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exemple de réponse
{
"value": [
{
"id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet-1",
"name": "fleet1",
"type": "Microsoft.ContainerService/fleets",
"systemData": {
"createdBy": "someUser",
"createdByType": "User",
"createdAt": "2022-03-23T05:40:40.657Z",
"lastModifiedBy": "someOtherUser",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-03-23T05:40:40.657Z"
},
"tags": {
"tier": "production",
"archv2": ""
},
"location": "East US",
"eTag": "23ujdflewrj3=",
"properties": {
"hubProfile": {
"dnsPrefix": "dnsprefix1",
"fqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"portalFqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"kubernetesVersion": "1.22.4",
"agentProfile": {
"vmSize": "Standard_DS1"
}
},
"provisioningState": "Succeeded",
"status": {
"lastOperationId": "operation-12345",
"lastOperationError": {
"code": "None",
"message": "No error"
}
}
}
}
],
"nextLink": null
}
Lists the Fleet resources in a resource group. - generated by [MaximumSet] rule
Exemple de requête
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
/**
* Samples for Fleets ListByResourceGroup.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
*/
/**
* Sample code: Lists the Fleet resources in a resource group. - generated by [MaximumSet] rule.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.fleets().listByResourceGroup("rgfleets", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python fleets_list_by_resource_group_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.fleets.list_by_resource_group(
resource_group_name="rgfleets",
)
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
func ExampleFleetsClient_NewListByResourceGroupPager_listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewFleetsClient().NewListByResourceGroupPager("rgfleets", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.FleetsClientListByResourceGroupResponse{
// FleetListResult: armcontainerservicefleet.FleetListResult{
// Value: []*armcontainerservicefleet.Fleet{
// {
// ID: to.Ptr("/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1"),
// Name: to.Ptr("fleet-1"),
// Type: to.Ptr("Microsoft.ContainerService/fleets"),
// SystemData: &armcontainerservicefleet.SystemData{
// CreatedBy: to.Ptr("someUser"),
// CreatedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// LastModifiedBy: to.Ptr("someOtherUser"),
// LastModifiedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// },
// Tags: map[string]*string{
// },
// Location: to.Ptr("East US"),
// ETag: to.Ptr("23ujdflewrj3="),
// Properties: &armcontainerservicefleet.FleetProperties{
// HubProfile: &armcontainerservicefleet.FleetHubProfile{
// DNSPrefix: to.Ptr("dnsprefix1"),
// Fqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// PortalFqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// KubernetesVersion: to.Ptr("1.22.4"),
// AgentProfile: &armcontainerservicefleet.AgentProfile{
// VMSize: to.Ptr("Standard_DS1"),
// SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"),
// },
// APIServerAccessProfile: &armcontainerservicefleet.APIServerAccessProfile{
// EnablePrivateCluster: to.Ptr(true),
// EnableVnetIntegration: to.Ptr(true),
// SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"),
// },
// },
// ProvisioningState: to.Ptr(armcontainerservicefleet.FleetProvisioningStateSucceeded),
// },
// Identity: &armcontainerservicefleet.ManagedServiceIdentity{
// PrincipalID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// TenantID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// Type: to.Ptr(armcontainerservicefleet.ManagedServiceIdentityTypeNone),
// UserAssignedIdentities: map[string]*armcontainerservicefleet.UserAssignedIdentity{
// "key126": &armcontainerservicefleet.UserAssignedIdentity{
// PrincipalID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ClientID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// },
// },
// },
// },
// },
// NextLink: to.Ptr("https://microsoft.com/adyccxeh"),
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to lists fleets in the specified subscription and resource group.
*
* @summary lists fleets in the specified subscription and resource group.
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
*/
async function listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.fleets.listByResourceGroup("rgfleets")) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.ContainerServiceFleet.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.ContainerServiceFleet;
// Generated from example definition: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup_MaximumSet_Gen.json
// this example is just showing the usage of "Fleets_ListByResourceGroup" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgfleets";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this ContainerServiceFleetResource
ContainerServiceFleetCollection collection = resourceGroupResource.GetContainerServiceFleets();
// invoke the operation and iterate over the result
await foreach (ContainerServiceFleetResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ContainerServiceFleetData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exemple de réponse
{
"value": [
{
"id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1",
"name": "fleet-1",
"type": "Microsoft.ContainerService/fleets",
"systemData": {
"createdBy": "someUser",
"createdByType": "User",
"createdAt": "2022-03-23T05:40:40.657Z",
"lastModifiedBy": "someOtherUser",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-03-23T05:40:40.657Z"
},
"tags": {},
"location": "East US",
"eTag": "23ujdflewrj3=",
"properties": {
"hubProfile": {
"dnsPrefix": "dnsprefix1",
"fqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"portalFqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"kubernetesVersion": "1.22.4",
"agentProfile": {
"vmSize": "Standard_DS1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"
},
"apiServerAccessProfile": {
"enablePrivateCluster": true,
"enableVnetIntegration": true,
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"
}
},
"provisioningState": "Succeeded"
},
"identity": {
"principalId": "00000000-0000-0000-0000-000000000000",
"tenantId": "00000000-0000-0000-0000-000000000000",
"type": "None",
"userAssignedIdentities": {
"key126": {
"principalId": "00000000-0000-0000-0000-000000000000",
"clientId": "00000000-0000-0000-0000-000000000000"
}
}
}
}
],
"nextLink": "https://microsoft.com/adyccxeh"
}
Définitions
AgentProfile
Object
Profil de l’agent pour le hub Fleet.
| Nom |
Type |
Description |
|
subnetId
|
string
(arm-id)
|
ID du sous-réseau auquel le nœud Du hub Fleet se joint au démarrage. S’il n’est pas spécifié, un réseau virtuel et un sous-réseau sont générés et utilisés.
|
|
vmSize
|
string
|
Taille de la machine virtuelle du hub Fleet.
|
APIServerAccessProfile
Object
Profil d’accès pour le serveur d’API Fleet Hub.
| Nom |
Type |
Description |
|
enablePrivateCluster
|
boolean
|
Indique s’il faut créer le hub Fleet en tant que cluster privé ou non.
|
|
enableVnetIntegration
|
boolean
|
Indique s’il faut activer l’intégration du réseau virtuel apiserver pour le hub Fleet ou non.
|
|
subnetId
|
string
(arm-id)
|
Sous-réseau à utiliser lorsque l’intégration au réseau virtuel apiserver est activée. Il est nécessaire lors de la création d’une flotte avec un réseau virtuel BYO.
|
createdByType
Énumération
Type d’identité qui a créé la ressource.
| Valeur |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Object
Informations supplémentaires sur l’erreur de gestion des ressources.
| Nom |
Type |
Description |
|
info
|
object
|
Informations supplémentaires.
|
|
type
|
string
|
Type d’informations supplémentaire.
|
ErrorDetail
Object
Détail de l’erreur.
| Nom |
Type |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Informations supplémentaires sur l’erreur.
|
|
code
|
string
|
Code d’erreur.
|
|
details
|
ErrorDetail[]
|
Détails de l’erreur.
|
|
message
|
string
|
Message d’erreur.
|
|
target
|
string
|
Cible d’erreur.
|
ErrorResponse
Object
Réponse d’erreur
Fleet
Object
Ressource Fleet.
| Nom |
Type |
Description |
|
eTag
|
string
|
Si eTag est fourni dans le corps de la réponse, il peut également être fourni en tant qu’en-tête conformément à la convention etag normale. Les balises d’entité sont utilisées pour comparer deux entités ou plus à partir de la même ressource demandée. HTTP/1.1 utilise des balises d’entité dans l’etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26) et If-Range (section 14.27).
|
|
id
|
string
(arm-id)
|
ID de ressource complet pour la ressource. Par exemple, « /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} »
|
|
identity
|
ManagedServiceIdentity
|
Identité managée.
|
|
location
|
string
|
Emplacement géographique où réside la ressource
|
|
name
|
string
|
Nom de la ressource
|
|
properties.hubProfile
|
FleetHubProfile
|
FleetHubProfile configure le hub de la flotte.
|
|
properties.provisioningState
|
FleetProvisioningState
|
État de la dernière opération.
|
|
properties.status
|
FleetStatus
|
Informations d’état pour la flotte.
|
|
systemData
|
systemData
|
Métadonnées Azure Resource Manager contenant les informations createdBy et modifiedBy.
|
|
tags
|
object
|
Balises de ressource.
|
|
type
|
string
|
Type de la ressource. Par exemple, « Microsoft.Compute/virtualMachines » ou « Microsoft.Storage/storageAccounts »
|
FleetHubProfile
Object
FleetHubProfile configure le hub de flotte.
| Nom |
Type |
Description |
|
agentProfile
|
AgentProfile
|
Profil de l’agent pour le hub Fleet.
|
|
apiServerAccessProfile
|
APIServerAccessProfile
|
Profil d’accès pour le serveur d’API Fleet Hub.
|
|
dnsPrefix
|
string
minLength: 1 maxLength: 54 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][a-zA-Z0-9-]{0,52}[a-zA-Z0-9]$
|
Préfixe DNS utilisé pour créer le nom de domaine complet pour le hub Fleet.
|
|
fqdn
|
string
|
Nom de domaine complet du hub Fleet.
|
|
kubernetesVersion
|
string
|
Version Kubernetes du Hub Fleet.
|
|
portalFqdn
|
string
|
Nom de domaine complet du portail Azure du hub Fleet.
|
FleetListResult
Object
Réponse d’une opération de liste de flottes.
| Nom |
Type |
Description |
|
nextLink
|
string
(uri)
|
Lien vers la page suivante des éléments
|
|
value
|
Fleet[]
|
Éléments de flotte sur cette page
|
FleetProvisioningState
Énumération
État d’approvisionnement de la dernière opération acceptée.
| Valeur |
Description |
|
Succeeded
|
La ressource a été créée.
|
|
Failed
|
Échec de la création de ressources.
|
|
Canceled
|
La création de ressources a été annulée.
|
|
Creating
|
État d’approvisionnement d’une flotte créée.
|
|
Updating
|
État d’approvisionnement d’une flotte mise à jour.
|
|
Deleting
|
État d’approvisionnement d’une flotte supprimée.
|
FleetStatus
Object
Informations d’état pour la flotte.
| Nom |
Type |
Description |
|
lastOperationError
|
ErrorDetail
|
Dernière erreur d’opération pour la flotte.
|
|
lastOperationId
|
string
|
ID de la dernière opération pour la flotte.
|
ManagedServiceIdentity
Object
Identité de service managée (identités affectées par le système et/ou identités affectées par l’utilisateur)
| Nom |
Type |
Description |
|
principalId
|
string
(uuid)
|
ID du principal de service de l’identité affectée par le système. Cette propriété est fournie uniquement pour une identité affectée par le système.
|
|
tenantId
|
string
(uuid)
|
ID de locataire de l’identité affectée par le système. Cette propriété est fournie uniquement pour une identité affectée par le système.
|
|
type
|
ManagedServiceIdentityType
|
Type d’identité de service managé (où les types SystemAssigned et UserAssigned sont autorisés).
|
|
userAssignedIdentities
|
<string,
UserAssignedIdentity>
|
identités User-Assigned
Ensemble d’identités affectées par l’utilisateur associées à la ressource. Les clés de dictionnaire userAssignedIdentities seront des ID de ressource ARM sous la forme : « /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Les valeurs de dictionnaire peuvent être des objets vides ({}) dans les requêtes.
|
ManagedServiceIdentityType
Énumération
Type d’identité de service managé (où les types SystemAssigned et UserAssigned sont autorisés).
| Valeur |
Description |
|
None
|
|
|
SystemAssigned
|
|
|
UserAssigned
|
|
|
SystemAssigned, UserAssigned
|
|
systemData
Object
Métadonnées relatives à la création et à la dernière modification de la ressource.
| Nom |
Type |
Description |
|
createdAt
|
string
(date-time)
|
Horodatage de la création de ressources (UTC).
|
|
createdBy
|
string
|
Identité qui a créé la ressource.
|
|
createdByType
|
createdByType
|
Type d’identité qui a créé la ressource.
|
|
lastModifiedAt
|
string
(date-time)
|
Horodatage de la dernière modification de ressource (UTC)
|
|
lastModifiedBy
|
string
|
Identité qui a modifié la ressource pour la dernière fois.
|
|
lastModifiedByType
|
createdByType
|
Type d’identité qui a modifié la ressource pour la dernière fois.
|
UserAssignedIdentity
Object
Propriétés d’identité attribuées par l’utilisateur
| Nom |
Type |
Description |
|
clientId
|
string
(uuid)
|
ID client de l’identité affectée.
|
|
principalId
|
string
(uuid)
|
ID principal de l’identité affectée.
|